#ifndef ITK_Writer_INL
#define ITK_Writer_INL

ACCESSOR_RW( ITK_INLINE, Writer, bool, is_open_multipage, m_is_open_multipage)
ACCESSOR_RO( ITK_INLINE, Writer, const char *, filename, m_filename)


ITK_INLINE bool
Writer::save( Raster &raster)
{
  return operate( raster);
}


ITK_INLINE bool
Writer::save( Raster &raster, const char *new_filename)
{
  filename( new_filename);
  return operate( raster);
}


ITK_INLINE bool
Writer::open_multipage()
{
  return imp_open_multipage();
}


ITK_INLINE bool
Writer::open_multipage( const char *new_filename)
{
  filename( new_filename);
  return open_multipage();
}


ITK_INLINE bool
Writer::save_next( Raster &raster)
{
  return imp_save_next( raster);
}


ITK_INLINE bool
Writer::close_multipage()
{
  return imp_close_multipage();
}


#endif//ITK_Writer_INL
